release: BUILD = release
release: IvCommon

debug: BUILD = debug
debug: IvCommon

clean: BUILD = clean
clean: IvCommon

IvCommon: FORCE
	cd IvCollision && $(MAKE) $(BUILD)
	cd IvCurves && $(MAKE) $(BUILD)
	cd IvEngine && $(MAKE) $(BUILD)
	cd IvMath && $(MAKE) $(BUILD)
	cd IvScene && $(MAKE) $(BUILD)
	cd IvUtility && $(MAKE) $(BUILD)

FORCE:


